Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 353726 - kde-base/plasma-workspace-4.6.0 should not depend on kdepimlibs
Summary: kde-base/plasma-workspace-4.6.0 should not depend on kdepimlibs
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
: 353752 355423 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-02-05 01:30 UTC by Alex Barbieri
Modified: 2011-04-25 17:28 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Barbieri 2011-02-05 01:30:25 UTC
The plasma-workspace-4.6.0 ebuild has an unconditional dependence on kdepimlibs, while the 4.5.5 ebuild has this dependency conditional on the 'rss' use flag. 

kde-base/kdepimlibs-4.6.0 depends in turn on boost, which is a very heavy dependency I would like to avoid. 

Is there any way to avoid depending on kdepimlibs, or am I stuck building boost?

Reproducible: Always

Steps to Reproduce:
Comment 1 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2011-02-05 06:48:27 UTC
you are stuck building boost :)
Comment 2 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2011-02-05 14:26:52 UTC
On a second thought, i see a possible bug in kde-workspace/plasma/generic/dataengines/CMakeLists.txt, I'll create a (second) patch.
If you try it now, you'll get:

/usr/lib/gcc/x86_64-pc-linux-gnu/4.5.2/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lKDEPIMLibs__kholidays                                                                  
collect2: ld returned 1 exit status
make[2]: *** [lib/plasma_applet_clock.so] Error 1
make[1]: *** [plasma/generic/applets/analog-clock/CMakeFiles/plasma_applet_clock.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....

Comment 3 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2011-02-05 14:27:55 UTC
*** Bug 353752 has been marked as a duplicate of this bug. ***
Comment 4 wojtek 2011-02-07 19:01:10 UTC
is there chance that dependency on kdepimlibs will be removed?
Comment 5 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2011-02-18 14:36:36 UTC
*** Bug 355423 has been marked as a duplicate of this bug. ***
Comment 6 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2011-02-24 03:57:58 UTC
for anyone interested, take a look at
https://bugs.gentoo.org/show_bug.cgi?id=353730#c34
those two bugs will be fixed together most probably
Comment 7 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2011-04-06 22:32:10 UTC
finally fixed, rss useflag is back. you will also need libplasmaclock without the holidays useflag.